# packet (script)

## Name

packet (script) — A script packet

## Synopsis

Content Model

    packet ::= (var*, line*,
                tag*, packet*)

Attributes
See the general `packet` element documentation.

## Description

A script packet stores a Python script offering direct low-level access to the Regina calculation engine.

A script may contain variables representing other packets in the same packet tree; these are described by the child `var` elements.

The Python script itself is broken into individual lines; each line is stored as an individual `line` element.

The roles played by the child `tag` and `packet` elements are described in the general `packet` element documentation.

### Parents

The following elements contain `packet`: `packet`, `reginadata`.

### Children

The following elements occur in `packet` for a script packet: `line`, `packet`, `tag`, `var`.